# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2Azimuth Class Reference

The `CSS2Azimuth` interface represents the azimuth CSS Level 2 property. More...

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2Azimuth:

[legend]
Collaboration diagram for DOM::CSS2Azimuth:

[legend]
List of all members.

## Public Member Functions

| CSS2Azimuth (const CSS2Azimuth &other)
| CSS2Azimuth (CSS2AzimuthImpl *impl)
CSS2Azimuth & | operator= (const CSS2Azimuth &other)
unsigned short | azimuthType () const
DOM::DOMString | identifier () const
bool | behind () const
void | setAngleValue (const unsigned short unitType, const float floatValue)
float | getAngleValue (const unsigned short unitType)
void | setIdentifier (const DOM::DOMString &identifier, const bool behind)

## Detailed Description

The `CSS2Azimuth` interface represents the azimuth CSS Level 2 property.

Definition at line 41 of file css_extensions.h.

## Member Function Documentation

unsigned short CSS2Azimuth::azimuthType | ( |  | ) | const

| A code defining the type of the value as defined in `CSSValue` . It would be one of `CSS_DEG` , `CSS_RAD` , `CSS_GRAD` or `CSS_IDENT` . Definition at line 52 of file css_extensions.cpp.

DOMString CSS2Azimuth::identifier | ( |  | ) | const

| If `azimuthType` is `CSS_IDENT` , `identifier` contains one of left-side, far-left, left, center-left, center, center-right, right, far-right, right-side, leftwards, rightwards. The empty string if none is set. Definition at line 58 of file css_extensions.cpp. Referenced by setIdentifier().

bool CSS2Azimuth::behind | ( |  | ) | const

| `behind` indicates whether the behind identifier has been set. Definition at line 64 of file css_extensions.cpp.

void CSS2Azimuth::setAngleValue | ( | const unsigned short | unitType,
|  | const float | floatValue
| ) |

A method to set the angle value with a specified unit.

This method will unset any previously set identifiers values.

Parameters:

  | unitType | The unitType could only be one of `CSS_DEG` , `CSS_RAD` or `CSS_GRAD` ).
  | floatValue | The new float value of the angle.

Returns:

Exceptions:

  | DOMException | INVALID_ACCESS_ERR: Raised if the unit type is invalid.

NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

Definition at line 70 of file css_extensions.cpp.

float CSS2Azimuth::getAngleValue | ( | const unsigned short | unitType | ) |

Used to retrieved the float value of the azimuth property.

Parameters:

  | unitType | The unit type can be only an angle unit type ( `CSS_DEG` , `CSS_RAD` or `CSS_GRAD` ).

Returns:
  The float value.

Exceptions:

  | DOMException | INVALID_ACCESS_ERR: Raised if the unit type is invalid.

Definition at line 76 of file css_extensions.cpp.

void CSS2Azimuth::setIdentifier | ( | const DOM::DOMString & | identifier,
|  | const bool | behind
| ) |

Setting the identifier for the azimuth property will unset any previously set angle value.

The value of `azimuthType` is set to `CSS_IDENT`

Parameters:

  | identifier | The new identifier. If the identifier is "leftwards" or "rightward", the behind attribute is ignored.
  | behind | The new value for behind.

Returns:

Exceptions:

  | DOMException | SYNTAX_ERR: Raised if the specified `identifier` has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

Definition at line 82 of file css_extensions.cpp.

References identifier().

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:32 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003